> For the complete documentation index, see [llms.txt](https://docs.velafi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velafi.com/api-reference/merchant/create-multiple-virtual-account.md).

# Create Multiple Virtual Account

This endpoint allows merchants to create multiple virtual accounts. A corresponding fiat currency account must be activated beforehand. Supported fiat currencies include MXN, ARS, BRL, and COP.

#### Endpoint Information

* **Request Header**: `X-BH-TOKEN: ******`
* **Request Header**: `Content-Type: application/json`
* **Request Method**: `POST`
* **Request Path**: `/v2/merchant/virtual/accounts`
* **Authorization Required**: Yes

**Request Parameters**The request body should include the following fields:

```json
{     
    "merchantId": 151209, //(required, string: Merchant id)  
    "fiat": "MXN", // (required, string: name of the fiat currency [MXN,ARS,BRL,COP])  
    "paymentId": 72,  // (required, number: id of the payment [72/105=MXN,63=ARS,68=COP,90/92=BRL]) 
    "alias": "alias" //(required, string: alias, The combination of merchantId, fiat, paymentId and alias is unique. 
                     //The value of alias can only consist of letters and numbers.) 
}
```

**Response Structure**The response will include the following fields:

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "fiat": "MXN", //(string: name of the fiat currency)
        "status": 2 //(number: The status of the virtual account [1: authenticating, 2: normal, 3: authentication failed])       
    }
}
```

#### Notes

* Ensure that all fields in the request body are filled out correctly to facilitate the activation process.
* Merchants may need to provide additional documentation based on the type of account being activated.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.velafi.com/api-reference/merchant/create-multiple-virtual-account.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
